# المراقبة باستخدام Grafana Cloud

سيساعدك هذا الدليل في إعداد المراقبة لعملاء Wingbits باستخدام Grafana Cloud.

## المتطلبات المسبقة

* حساب Grafana Cloud (الطبقة المجانية متاحة على [grafana.com](https://grafana.com))

## الخطوة 1: تثبيت Grafana Alloy

Grafana Alloy هو جامع سيجمع المقاييس من عملاء Wingbits لديك.

1. اذهب إلى https\://{your-grafana-account}.grafana.net/a/grafana-collector-app/alloy
2. اتبع تعليمات التثبيت
3. قم بتمكين التكوين البعيد أثناء الإعداد

## الخطوة 2: تكوين جمع المقاييس

1. انتظر بضع دقائق حتى يظهر خادمك تحت *Collector->Fleet Management*
2. حدد *Remote Configuration* وانقر *Create Configuration Pipeline*
3. اختر *Custom Configuration*
4. الصق هذا التكوين (استبدل عناوين IP بعملاء Wingbits لديك):

```yaml
prometheus.scrape "wingbits_hosts" {
    targets = [
        {__address__ = "192.168.10.1:8088", alias = "station1"},
        {__address__ = "192.168.10.2:8088", alias = "station2"},
    ]
    forward_to = [prometheus.remote_write.default.receiver]
}

prometheus.remote_write "default" {
    endpoint {
        url = sys.env("GCLOUD_HOSTED_METRICS_URL")
        basic_auth {
            username = sys.env("GCLOUD_HOSTED_METRICS_ID")
            password = sys.env("GCLOUD_RW_API_KEY")
        }
    }
}
```

5. انقر *Test Configuration Pipeline*
6. حدد السمات المطابقة (مثل os=linux)
7. احفظ التكوين

## الخطوة 3: إنشاء لوحة معلومات

1. اذهب إلى Dashboards → *New → Import*
2. الصق JSON اللوحة أدناه
3. احفظ وعرض مقاييسك

```json
{
  "annotations": {
    "list": [
      {
        "builtIn": 1,
        "datasource": {
          "type": "grafana",
          "uid": "-- Grafana --"
        },
        "enable": true,
        "hide": true,
        "iconColor": "rgba(0, 211, 255, 1)",
        "name": "Annotations & Alerts",
        "type": "dashboard"
      }
    ]
  },
  "editable": true,
  "fiscalYearStartMonth": 0,
  "graphTooltip": 0,
  "id": 27,
  "links": [],
  "panels": [
    {
      "datasource": {
        "type": "prometheus",
        "uid": "grafanacloud-prom"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "palette-classic"
          },
          "custom": {
            "axisBorderShow": false,
            "axisCenteredZero": false,
            "axisColorMode": "text",
            "axisLabel": "",
            "axisPlacement": "auto",
            "barAlignment": 0,
            "barWidthFactor": 0.6,
            "drawStyle": "line",
            "fillOpacity": 0,
            "gradientMode": "none",
            "hideFrom": {
              "legend": false,
              "tooltip": false,
              "viz": false
            },
            "insertNulls": false,
            "lineInterpolation": "linear",
            "lineWidth": 1,
            "pointSize": 5,
            "scaleDistribution": {
              "type": "linear"
            },
            "showPoints": "auto",
            "spanNulls": false,
            "stacking": {
              "group": "A",
              "mode": "none"
            },
            "thresholdsStyle": {
              "mode": "off"
            }
          },
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green"
              },
              {
                "color": "red",
                "value": 80
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "h": 8,
        "w": 12,
        "x": 0,
        "y": 0
      },
      "id": 1,
      "options": {
        "legend": {
          "calcs": [],
          "displayMode": "list",
          "placement": "bottom",
          "showLegend": true
        },
        "tooltip": {
          "hideZeros": false,
          "mode": "single",
          "sort": "none"
        }
      },
      "pluginVersion": "12.0.0-85820.patch2-86140",
      "targets": [
        {
          "adhocFilters": [],
          "datasource": {
            "type": "prometheus",
            "uid": "grafanacloud-prom"
          },
          "disableTextWrap": false,
          "editorMode": "code",
          "expr": "sum by(alias) (rate(wingbits_readsb_received_total[$__rate_interval]))",
          "fromExploreMetrics": true,
          "fullMetaSearch": false,
          "includeNullMetadata": true,
          "instant": true,
          "interval": "",
          "legendFormat": "__auto",
          "range": true,
          "refId": "A",
          "useBackend": false
        }
      ],
      "title": "readsb recieved",
      "type": "timeseries"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "grafanacloud-prom"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "palette-classic"
          },
          "custom": {
            "axisBorderShow": false,
            "axisCenteredZero": false,
            "axisColorMode": "text",
            "axisLabel": "",
            "axisPlacement": "auto",
            "barAlignment": 0,
            "barWidthFactor": 0.6,
            "drawStyle": "line",
            "fillOpacity": 0,
            "gradientMode": "none",
            "hideFrom": {
              "legend": false,
              "tooltip": false,
              "viz": false
            },
            "insertNulls": false,
            "lineInterpolation": "linear",
            "lineWidth": 1,
            "pointSize": 5,
            "scaleDistribution": {
              "type": "linear"
            },
            "showPoints": "auto",
            "spanNulls": false,
            "stacking": {
              "group": "A",
              "mode": "none"
            },
            "thresholdsStyle": {
              "mode": "off"
            }
          },
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green"
              },
              {
                "color": "red",
                "value": 80
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "h": 8,
        "w": 12,
        "x": 12,
        "y": 0
      },
      "id": 2,
      "options": {
        "legend": {
          "calcs": [],
          "displayMode": "list",
          "placement": "bottom",
          "showLegend": true
        },
        "tooltip": {
          "hideZeros": false,
          "mode": "single",
          "sort": "none"
        }
      },
      "pluginVersion": "12.0.0-85820.patch2-86140",
      "targets": [
        {
          "adhocFilters": [],
          "datasource": {
            "type": "prometheus",
            "uid": "grafanacloud-prom"
          },
          "disableTextWrap": false,
          "editorMode": "code",
          "expr": "sum by(alias) (rate(wingbits_server_sent_total[$__rate_interval]))",
          "fromExploreMetrics": true,
          "fullMetaSearch": false,
          "includeNullMetadata": true,
          "instant": true,
          "interval": "",
          "legendFormat": "__auto",
          "range": true,
          "refId": "A",
          "useBackend": false
        }
      ],
      "title": "server sent",
      "type": "timeseries"
    }
  ],
  "preload": false,
  "schemaVersion": 41,
  "tags": [],
  "templating": {
    "list": []
  },
  "time": {
    "from": "now-5m",
    "to": "now"
  },
  "timepicker": {},
  "timezone": "browser",
  "title": "wingbits",
  "uid": "0681a362-4b83-45ac-af58-4eecb1f84034",
  "version": 2
}
```

ستعرض لوحة المعلومات الآن مخططين:

* Readsb received: يعرض معدل البيانات التي استقبلتها عملاء Wingbits لديك
* Server sent: يعرض معدل البيانات التي أرسلها خادمك


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wingbits.com/wingbits/wingbits-english-ar/abda/monitor-with-grafana-cloud.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
